package org.jeecg.modules.okki.account.service;

import org.jeecg.modules.okki.account.dto.OkkiBindSiteDto;
import org.jeecg.modules.okki.account.entity.OkkiAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.okki.account.param.OkkiAccountResetPwdParam;
import org.jeecg.modules.okki.site.entity.OkkiSite;

import java.util.Map;

/**
 * @Description: 小二账号
 * @Author: jeecg-boot
 * @Date:   2024-05-22
 * @Version: V1.0
 */
public interface IOkkiAccountService extends IService<OkkiAccount> {

    void insertAccount(OkkiAccount okkiAccount);

    public void insertAccountV2(OkkiAccount okkiAccount);

    void updateAccount(OkkiAccount okkiAccount);

    void resetRole(OkkiAccount okkiAccount);

    public void resetRoleV2(OkkiAccount okkiAccountParam);

    void bindSites(OkkiAccount okkiAccount);

    public void bindSitesV2(OkkiAccount okkiAccountParam);

    public void bindSitesV2(OkkiBindSiteDto okkiBindSiteDto);

    void resetPwd(OkkiAccountResetPwdParam okkiAccountResetPwdParam);

    /**
     * 获取站点绑定信息
     * @param siteId
     */
    public Map<String, Object> getSiteBindInfo(Integer siteId);
}
